#### D.4.27.10 minAssCharE

Procedure from library `primdec.lib` (see primdec_lib).

Usage:
  minAssCharE(I[,c]); i ideal, c int (optional).

Return:
  list, the minimal associated prime ideals of I. If I is the unit ideal returns an empty list.

Note:
  If c=0, the given ordering of the variables is used.
  Otherwise, the system tries to find an optimal ordering, which in some cases may considerably speed up the algorithm.
  For local orderings, the result is considered in the localization of the polynomial ring, not in the power series ring
  For local and mixed orderings, the decomposition in the corresponding global ring is returned if the string 'global' is specified as third argument

Example:

    LIB "primdec.lib";
    ring  r = 0,(x,y,z),dp;
    poly  p = z2+1;
    poly  q = z3+2;
    ideal I = p*q^2,y-z2;
    list pr = minAssCharE(I);
    pr;
    ==> [1]:
    ==>    _[1]=y+1
    ==>    _[2]=z2+1
    ==> [2]:
    ==>    _[1]=z2-y
    ==>    _[2]=yz+2
    ==>    _[3]=y2+2z
    ideal J = 5;
    list prempty = minAssCharE(J);
    prempty;
    ==> empty list

User manual for Singular version 4.4.1, 2025, generated by texi2html.